## asciiportal 1.2c-1

=== Makefile ===
# Makefile by kaw

# Requires PDCSDL, set PDCSDLDIR to point to a compiled version.

PDCSVER=3.4
PDCSDLDIR = ./PDCurses-$(PDCSVER)

PACKAGENAME = asciiportal-linux64
WINDOWSZIP = asciiportal.zip

GPPOPTS = -O2

all: asciiportal

clean:
	rm -f *.o
	rm -f asciiportal

fullclean: clean
	rm -rf $(PACKAGENAME)
	rm -f $(PACKAGENAME).tar.gz
	rm -rf $(PDCSDLDIR)

package: fullclean asciiportal
	strip asciiportal
	upx asciiportal
	mkdir $(PACKAGENAME)
	unzip -d $(PACKAGENAME) $(WINDOWSZIP)
	cp Makefile $(PACKAGENAME)/source
	rm $(PACKAGENAME)/*.exe
	rm $(PACKAGENAME)/*.bat
	rm $(PACKAGENAME)/*.dll
	cp asciiportal $(PACKAGENAME)/
	tar cvfz $(PACKAGENAME).tar.gz $(PACKAGENAME)

%.o: %.cpp $(PDCSDLDIR)
	g++ -I $(PDCSDLDIR) -c $(GPPOPTS) $<

asciiportal: ap_input.o ap_draw.o ap_play.o ap_sound.o main.o menu.o $(PDCSDLDIR)/sdl1/libpdcurses.a
	g++ $^ -lSDL -lSDL_mixer -o $@

$(PDCSDLDIR)/sdl1/libpdcurses.a: $(PDCSDLDIR)
	cd `dirname $@` && make

$(PDCSDLDIR): PDCurses-$(PDCSVER).tar.gz
	tar xvfz $<

PDCurses-$(PDCSVER).tar.gz:
	wget http://sourceforge.net/projects/pdcurses/files/pdcurses/$(PDCSVER)/PDCurses-$(PDCSVER).tar.gz/download
	if [[ ! -f $@ ]]; then echo "Download of $@ failed, please provide file."; exit; fi

=== debian/changelog ===
asciiportal (1.2c-1) stable; urgency=low

  * Initial release

 -- Andy1210 <andy1210@gmail.com>  Thu, 19 Aug 2010 19:08:23 +0100

=== debian/control ===
Source: asciiportal
Section: user/games
Priority: extra
Maintainer: Andy1210 <andy1210@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.3

Package: asciiportal
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Port of Portal PC game with text graphics...
XB-Maemo-Display-Name: ASCII pOrtal
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=60681
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAAGvZ15GAAAACXBIWXMAAAsTAAALEwEAmpwYAAAK
 T2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJCi4AU
 kSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXX
 Pues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgAB
 eNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAt
 AGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3
 AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dX
 Lh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+
 5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk
 5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd
 0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA
 4vcAAPK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzA
 BhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5
 h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhM
 WE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQ
 AkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+Io
 UspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdp
 r+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZ
 D5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61Mb
 U2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY 
 /R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllir
 SKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79u
 p+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6Vh
 lWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1
 mz0x1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lO
 k06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3I
 veRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/
 0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jOkc5p
 DoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5q
 PNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIs
 OpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5
 hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQ
 rAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9
 rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1d
 T1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aX
 Dm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7
 vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3S
 PVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKa
 RptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21
 e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i
 /suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98PT+R8
 IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADq
 YAAAOpgAABdvkl/FRgAABQtJREFUeNpibGBgcDhwgIF0IARnXceU/AulWY5dusTDwMAuIrKfWcrq
 0iUGBgYAAAAA//9irGJgcEOzcQaGAUyMmEJ/MaxjYoLQagghFt1Lly4xMOxh1vvGwOB36RIDAwMA
 AAD//2LoYWDoJcZLMwgpYGpgYPiCLKDKwKCK26Tp0xkYGBgY3jIwvMVQkcfA0IfMl2dgkEdXw3gA
 KZzYhIRW6OlNYmBoY2CwQhIHAAAA//9ibGBgMF+6lFNaGp/LuxgYmImJUiGCQUBMQDJ9I0ZRBZqA
 BjZVSshu+oREIgFmSGJx9mG4dYuB4SsDgycDw1YGhpN4fHebgeEjA8NtDOsKkBXJI5HI0XLs0iUu
 WEgc8fFhevToHwOD0ZYtXHJyiHT46927XzDO579/yxkYhBgYln78+OPdO7giAAAAAP//pJQxDoJA
 FEQfgiZ0StZslMRCG3tPwTU8AGewtaFUW8/iJeioMBYbSkwMBgsFMQqsOtlmk83P7PyZMVZFWmZB
 0JWSn+HAFDYaC2yGlehv+X+faDHyoQPp/4wmMH5W01scc9hCDr6e3rs6sfPifKuREMzLEEQQggEh
 RG0aASmUnakUShWXAWQADO8PGwetXRe4wAjsqudN8yyOeZYBiMcvbSkN6/PIl+qqouc4B887xfEe
 gD4sYVHfXy2Mr5DoWe7GbNmsNAxEUfgLZGHFopYuSgOlIIG8hCvBVfoMvkFA6DO46q5IH6UgXUvX
 XWVRBYOIharNJvUnaVxMxyYlf9WiroZhwmFu7j3fmaXXSpp23O+/R0y48UCKxff9e8f5cN1vCykd
 8GAClz+c7At4KQL4XKHnNH/8lfv/p9BiK0IWHG6FkFnMP4AaAI8wyxPaS+NsBa7gBoAjOI24Lu37
 80SQGhBCGcoQpkT+WhwlD6QNbfkUaIO9Yft7PUxTXrUFXehCq1h+WpHSDINqVb4Fo6XpxTCyKsiO
 5AfwEN9mCy0SB1wAoSkiIZ8PqgX7kAC0W9Dlz9bhLk9I0zTB5jWmh74/H0+WMTUGUFS1VK+HQXKT
 levRSDRvN37gOc7ANCuyag92Go2T4fBtFXvxG30B/zV+MHddoCO9cQa1IHiaTtMCQs2esZk0RvBr
 PPpkx455morCMAA/lVtQtFylmgYlJXEA48hi1ME/4L/A1ZnUH2BDwkQiiUkXB36BAz/B4GScKibE
 Dg43wo2XooggOABalJbipWkH3/GcfMl7zved77zvd/Cv/Trd1WLx3vx8fnKy2V10GkcIXSAKgsV8
 vj4w0CzLncZvTZsjy87OThRFsa4hmAPnecSo7uOgGPdNzV7vEOod/CfUpgq5TN8ZCaS0hJ6w/zV+
 40svpGyDDb6y2+DV2sIUK8QkxKwwdRaEYmI+86P9grrFOhW2GCNkjC0qrJ8s6Fqjb4kl3nCbUT7x
 ls3WQbusMshNrnGHh9zlNc94dWJ8GyLtdI0xZo4sD3jcsP6SuQ4/+1JJkkgSpVLD6gQxs1QZIsMQ
 VWaJmUj3ylpvl8vK5eNc+xpXGOE5CSEjYC2tAw1SRSe8oMYY9wm71Ri3D1V2jSo1NnnPd2pspxNo
 Txsa4yAfqHS1ZWcWFxYaK3ybektC2TCsLy+/m5mpR1G2+Q3mCoWJ6enc+PhppzTBH9OoAS61DOgf
 Hk6SZDUI+sn8xf7coSfMBcH1QiEsFk87f/r3or7IRypHjc++8rzRFfmxd5yfS688e04P/RwAwfRZ
 lztn42wAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/asciiportal.sgml > asciiportal.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/asciiportal.
	# $(MAKE) DESTDIR="$(CURDIR)/debian/asciiportal" install
	
	cp "$(CURDIR)/asciiportal" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp "$(CURDIR)/apstart" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp -r "$(CURDIR)/challengeme" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp -r "$(CURDIR)/evil" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp -r "$(CURDIR)/maps" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp -r "$(CURDIR)/masterlevels" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp -r "$(CURDIR)/media" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp -r "$(CURDIR)/raisonbran648" "$(CURDIR)/debian/asciiportal/opt/asciiportal/"
	cp "$(CURDIR)/data/asciiportal.desktop" "$(CURDIR)/debian/asciiportal/usr/share/applications/hildon/"
	cp "$(CURDIR)/data/asciiportal.png" "$(CURDIR)/debian/asciiportal/usr/share/pixmaps/"



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
